package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.dto.UserInfoDTO;
import com.diagbot.entity.User;
import com.diagbot.vo.UserInfoOrganizationsVO;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface UserMapper extends BaseMapper<User> {

    User findByName(String username);

    IPage<User> selectUserListPage(Page page, @Param("user") User user);
    
    IPage<UserInfoDTO> selectUserInfoListPage(Page page,@Param("userInfo") UserInfoDTO userInfo);
    
    public Integer updateUserInfoAll(UserInfoOrganizationsVO userInfo);
    
    public Integer updateDeleted(@Param("map") Map<String ,String> map);
}
